using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class UsingHashtable : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
       // create sample customer objects
       Customer c1 = new Customer("334", "Thomas", "Hobbes", "123-4567");
       Customer c2 = new Customer("085", "David", "Hume", "564-7823");
       Customer c3 = new Customer("254", "Martin", "Heidegger", "253-6383");

       Hashtable table = new Hashtable();
       table.Add(c1.Id, c1);
       table.Add(c2.Id, c2);
       table.Add(c3.Id, c3);

       lboxCustomers.DataSource = table;
       lboxCustomers.DataBind();
    }
}
